LIGGGHTS(R)-PUBLIC WWW Site - LIGGGHTS(R)-PUBLIC Documentation - LIGGGHTS(R)-PUBLIC Commands

### bond_style harmonic command

Syntax:

    bond_style harmonic

Examples:

    bond_style harmonic
    bond_coeff 5 80.0 1.2

Description:

The harmonic bond style uses the potential

where r0 is the equilibrium bond distance. Note that the usual 1/2 factor is included in K.

The following coefficients must be defined for each bond type via the bond_coeff command as in the example above, or in the data file or restart files read by the read_data or read_restart commands:

- K (energy/distance^2)
- r0 (distance)

Restrictions:

This bond style can only be used if LIGGGHTS(R)-PUBLIC was built with the MOLECULAR package (which it is by default). See the Making LIGGGHTS(R)-PUBLIC section for more info on packages.

Related commands:

bond_coeff, delete_bonds

Default: none